import javaposse.jobdsl.dsl.jobs.MultiJob

multiJob('PEM-Pricegroup-Ui-GitHub-Pull-Request-Builder') {
  concurrentBuild()

  environmentVariables {
          env('APP_GIT_URL', 'https://github.gapinc.com/plan/pem-price-groups-ui')
    }
  properties {
       githubProjectUrl('https://github.gapinc.com/plan/pem-price-groups-ui')
       rebuild {
            autoRebuild(false)
            rebuildDisabled(false)
        }
   }
   logRotator {
        numToKeep(7)
    }
   authorization {
        permission('hudson.model.Item.Build', 'PEM-FEDCI-PIPELINE-DEVTEAM')
        permission('hudson.model.Item.Cancel', 'PEM-FEDCI-PIPELINE-DEVTEAM')
    }
      
  scm {
        git {
            remote {
                url('https://github.gapinc.com/plan/pem-price-groups-ui')
                credentials('github_credential')
                name('origin')
                refspec('+refs/pull/*:refs/remotes/origin/pr/* +refs/heads/master:refs/remotes/origin/master')
            }
            branch('${sha1}')
        }
    }

    steps{
        phase('Pull_Request') {
            phaseJob('pem-pricegroup-ui-pr-build'){
                parameters {
                    predefinedProp('REVISION', '$ghprbActualCommit')
                }
                killPhaseCondition('UNSTABLE')
                abortAllJobs()
                currentJobParameters()
            }
            
            
        }
    }

    

    triggers {
        githubPullRequest {
            permitAll(true)
            cron('* * * * *')
        }
    }

    //This configure block is used to set the gitHubAuthId field which is not made available through the basic DSL
    configure {
        project ->
            (project / triggers / 'org.jenkinsci.plugins.ghprb.GhprbTrigger' / gitHubAuthId).value = 'pr_auth_id'
    }
}
